View Issue Details

IDProjectCategoryView StatusLast Update
0001106HTML & PERLBug Report - Interfacepublic2008-08-02 16:54
ReporterAmour Assigned Tofahrenheit  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001106: Sorting of columns on episode page will freeze your explorer
DescriptionOn the following page:
http://anidb.net/perl-bin/animedb.pl?show=ep&eid=42941

If you click on a column title to sort it, it will freeze IE and later display a warning that the current script is using too much computer power and ask if I want to kill it.
TagsNo tags attached.

Activities

fahrenheit

2008-04-20 15:12

reporter   ~0001981

it's a strange issue, it doesn't seem to happen in any other pages, do you know of any other?

Amour

2008-04-21 17:42

reporter   ~0001987

Almost any episode page. You need to wait until the page has finish loading, then click on a column name (like 'size'):
http://anidb.net/perl-bin/animedb.pl?show=ep&eid=1

fahrenheit

2008-04-22 23:08

reporter   ~0001995

bleh, this needs some serious head banging to fix and i just don't have the time now, fix is postponed until this weekend or so.

fahrenheit

2008-08-01 23:47

reporter   ~0002253

updated, this also borks opera now

fahrenheit

2008-08-02 16:54

reporter   ~0002254

fixed this both ways.

with the ajax profile option disabled it will work in ie and with the profile option enabled it will also work and be more consistent with ajaxfied pages.

the ajax bit will only be for the next perl release, but i've uploaded the dev script, so it breaks in currently on the main server but has the side effect of making it work in ie never the less.

Issue History

Date Modified Username Field Change
2008-04-19 10:28 Amour New Issue
2008-04-20 15:11 DerIdiot Status new => assigned
2008-04-20 15:11 DerIdiot Assigned To => fahrenheit
2008-04-20 15:12 fahrenheit Note Added: 0001981
2008-04-20 15:12 fahrenheit Status assigned => feedback
2008-04-21 17:42 Amour Note Added: 0001987
2008-04-22 23:08 fahrenheit Note Added: 0001995
2008-04-22 23:09 fahrenheit Status feedback => acknowledged
2008-08-01 23:47 fahrenheit Note Added: 0002253
2008-08-02 16:54 fahrenheit Status acknowledged => resolved
2008-08-02 16:54 fahrenheit Resolution open => fixed
2008-08-02 16:54 fahrenheit Note Added: 0002254